Froyo pour le HTC Desire

Dernières news

FidMe : Nouvelle version ! - 05/07/2011

FidMe vous permet de dématérialiser toutes vos cartes de fidélité sur votre téléphone mobile en les scannant directement. Il suffit ensuite de présenter votre mobile en magasin et voilà !

Afin de satisfaire les utilisateurs toujours plus nombreux, FidMe fait peau neuve et lance aujourd’hui sa nouvelle version (2.1), toujours GRATUITE et SANS PUBLICITE sur iPhone et Androïd (et aussi dans sa v2.0 pour Samsung Bada, Blackberry, Nokia, Windows Phone et J2ME) !

 

FidMe 2.0 : Nouvelle version disponible ! - 30/03/2011

Toutes vos cartes de fidélité sur votre téléphone mobile !

 

Installer le Sony Ericsson LiveView - 10/01/2011

Le Sony Ericsson LiveView est un petit écran qui se connecte en Bluetooth à votre téléphone Android, et qui reçoit des notifications de ce dernier (RSS, Facebook, Twitter, etc...)
Son installation, bien que documentée dans le mode d'emploi, n'est pas toujours simple, et si elle est mal réalisée, peut conduire à beaucoup de plantages, et un non-fonctionnement.

 

+ plus de news

Voici une news qui me concerne directement, puisque mon téléphone est un HTC Desire, et depuis quelques heures maintenant, HTC diffuse la mise à jour vers Froyo pour tous les téléphones en ROM officielle HTC.

Une des principales nouveautés de cette version Android 2.2 Froyo est la possibilité d'installer les applications sur la carte µSD. Pour cela, il faut que les l'application soit compatible avec cette fonctionnalité. voici comment faire :

Tout d'abord, il faut déclarer dans le manifest que l'installation peut se faire sur le support externe.

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
   android:installLocation="preferExternal"
   ... >

Les différentes valeurs pour cette option sont :

  • internalOnly
  • auto
  • preferExternal

Pour que l'application puisse être utilisée sur une version Android antérieure à Froyo, il faut que la valeur soit à "auto" ou "preferExternal". Il faut de plus spécifier une version minimale du SDK, par la déclaration suivante (par exemple) :

<uses-sdk android:minSdkVersion="3" />

Enfin, il faut utiliser la version 8 du SDK (qui correspond à Froyo) pour compiler l'application.

L'application Sushishop, qui devrait sortir dans les jours à venir, dispose de cette fonctionnalité.